{{- if .Values.jvb.enable -}}
apiVersion: apps/v1beta2
kind: Deployment
metadata:
  name: {{ include "jvb.name" . }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: {{ include "jitsi.name" . }}
    chart: {{ include "jitsi.chart" . }}
    release: {{ .Release.Name }}
spec:
  replicas: {{ .Values.jvb.replicaCount }}
  selector:
    matchLabels:
      app: {{ include "jitsi.name" . }}
      component: {{ include "jvb.component" . }}
      release: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app: {{ include "jitsi.name" . }}
        component: {{ include "jvb.component" . }}
        release: {{ .Release.Name }}
    spec:
      containers:
      - name: "{{ include "jvb.name" . }}-{{ include "jvb.component" . }}-component"
        image: {{ .Values.jvb.image | quote }}
        imagePullPolicy: {{ .Values.jvb.pullPolicy }}
        resources: {}
        env:
          - name: XMPP_DOMAIN
            value: {{ .Release.Namespace }}
          - name: XMPP_AUTH_DOMAIN
            value: {{ include "prosody.xmpp" . }}
          - name: JVB_COMPONENT_SECRET
            value: {{ .Values.jvb.componentSecret }}
          - name: JICOFO_AUTH_USER
            value: {{ .Values.jicofo.authUser }}
          - name: TZ
            value: {{ .Values.tz }}
          - name: JVB_PORT
            value: {{ .Values.jvb.port | quote }}
          - name: JVB_STUN_SERVERS
            value: stun.l.google.com:19302,stun1.l.google.com:19302,stun2.l.google.com:19302
          - name: XMPP_SERVER
            value: {{ include "prosody.xmpp" . }}
{{- end -}}
          